Get Award
curl --request GET \
--url https://api.mokaru.ai/v1/awards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mokaru.ai/v1/awards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mokaru.ai/v1/awards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Awards
Get Award
Get a single award by id
GET
/
v1
/
awards
/
{id}
Get Award
Overview
Retrieve a single award by id.Scope required:
awards:read | Rate limit: 30 requests/minRequest
GET /v1/awards/clx...
Path Parameters
string
required
Award id (from
list-awards)Query Parameters
string
Target a specific resume by its id (from the list endpoint). Omit to use your base/default resume.
Response
{
"data": {
"id": "clx...",
"name": "Best Engineer of the Year",
"organisation": "ACM",
"description": "Annual recognition for outstanding contributions",
"date": "2024-12-01T00:00:00.000Z",
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-15T10:00:00.000Z"
}
}
404 if the award does not exist or does not belong to the authenticated user.Was this page helpful?
⌘I
